Name:          ruby-mustache
Version:       1.1.1
Release:       2mamba
Summary:       Mustache is a framework-agnostic way to render logic-free views
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/mustache/mustache
Source:        https://rubygems.org/downloads/mustache-%{version}.gem
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ruby-devel >= 3.2.4
Requires:      ruby

%description
Mustache is a framework-agnostic way to render logic-free views.

%prep
%setup -q -c %{name}-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
gemdir="$(ruby -rrubygems -e'puts Gem.default_dir')"
gem install --no-user-install --ignore-dependencies -i "%{buildroot}$gemdir" -n "%{buildroot}/usr/bin" %{SOURCE0}
rm -rf %{buildroot}${gemdir}/cache

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mustache
%dir %{_libdir}/ruby/gems/*/doc/mustache-%{version}
%{_libdir}/ruby/gems/*/doc/mustache-%{version}/*
%dir %{_libdir}/ruby/gems/*/gems/mustache-%{version}
%{_libdir}/ruby/gems/*/gems/mustache-%{version}/*
%{_libdir}/ruby/gems/*/specifications/mustache-%{version}.gemspec
%doc mustache-%{version}/LICENSE

%changelog
* Fri Jun 07 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-2mamba
- rebuilt with ruby 3.2.4

* Sat Apr 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- package created using the webbuild interface
